com.thinkaurelius.titan.graphdb.database.management

## Class RelationTypeIndexWrapper

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.management.RelationTypeIndexWrapper

- All Implemented Interfaces:
    Namifiable, RelationTypeIndex, TitanIndex, TitanSchemaElement

      public class RelationTypeIndexWrapper
      extends Object
      implements RelationTypeIndex

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `RELATION_INDEX_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelationTypeIndexWrapper(InternalRelationType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object oth)`
    `com.tinkerpop.blueprints.Direction` | `getDirection()` Returns the direction on which this index is installed.
    `SchemaStatus` | `getIndexStatus()` Returns the status of this index
    `String` | `getName()` Returns the unique name of this entity.
    `RelationType[]` | `getSortKey()` Returns the (composite) sort key for this index.
    `Order` | `getSortOrder()` Returns the sort order of this index.
    `RelationType` | `getType()` Returns the `RelationType` on which this index is installed.
    `InternalRelationType` | `getWrappedType()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RELATION_INDEX_SEPARATOR

          public static final char RELATION_INDEX_SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RelationTypeIndexWrapper

          public RelationTypeIndexWrapper(InternalRelationType type)

  - ### Method Detail

    - #### getType

          public RelationType getType()

      Description copied from interface: `RelationTypeIndex`
      Returns the `RelationType` on which this index is installed.
      Specified by:
        `getType` in interface `RelationTypeIndex`
      Returns:

    - #### getWrappedType

          public InternalRelationType getWrappedType()

    - #### getName

          public String getName()

      Description copied from interface: `Namifiable`
      Returns the unique name of this entity.
      Specified by:
        `getName` in interface `Namifiable`
      Returns:
        Name of this entity.

    - #### getSortOrder

          public Order getSortOrder()

      Description copied from interface: `RelationTypeIndex`
      Returns the sort order of this index. Index entries are sorted in this order and queries which use this sort order will be faster.
      Specified by:
        `getSortOrder` in interface `RelationTypeIndex`
      Returns:

    - #### getSortKey

          public RelationType[] getSortKey()

      Description copied from interface: `RelationTypeIndex`
      Returns the (composite) sort key for this index. The composite sort key is an ordered list of `RelationType`s
      Specified by:
        `getSortKey` in interface `RelationTypeIndex`
      Returns:

    - #### getDirection

          public com.tinkerpop.blueprints.Direction getDirection()

      Description copied from interface: `RelationTypeIndex`
      Returns the direction on which this index is installed. An index may cover only one or both directions.
      Specified by:
        `getDirection` in interface `RelationTypeIndex`
      Returns:

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object oth)

      Overrides:
        `equals` in class `Object`

    - #### getIndexStatus

          public SchemaStatus getIndexStatus()

      Description copied from interface: `RelationTypeIndex`
      Returns the status of this index
      Specified by:
        `getIndexStatus` in interface `RelationTypeIndex`
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2012–2014. All rights reserved.